summaryrefslogtreecommitdiffstats
path: root/core/modules/slxbrowser/data/opt/openslx/scripts/kiosk-launch
diff options
context:
space:
mode:
Diffstat (limited to 'core/modules/slxbrowser/data/opt/openslx/scripts/kiosk-launch')
-rwxr-xr-xcore/modules/slxbrowser/data/opt/openslx/scripts/kiosk-launch13
1 files changed, 13 insertions, 0 deletions
diff --git a/core/modules/slxbrowser/data/opt/openslx/scripts/kiosk-launch b/core/modules/slxbrowser/data/opt/openslx/scripts/kiosk-launch
new file mode 100755
index 00000000..ed8a205f
--- /dev/null
+++ b/core/modules/slxbrowser/data/opt/openslx/scripts/kiosk-launch
@@ -0,0 +1,13 @@
+#!/bin/ash
+
+. /opt/openslx/config
+
+[ -z "$SLX_BROWSER_URL" ] && exit 1
+
+xset s off
+xset -dpms
+
+openbox &
+
+exec slxbrowser --insecure --fullscreen "$SLX_BROWSER_URL"
+